diff --git a/vim-update.sh b/vim-update.sh
index 18fa3a4..67330d2 100755
--- a/vim-update.sh
+++ b/vim-update.sh
@@ -71,28 +71,35 @@ if [ $CHANGES -ne 0 ]; then
    $debug git add vim.spec README.patches
    $debug git commit -m "- patchlevel $LASTPL" 
    $debug fedpkg mockbuild
-
+   if [ $? -ne 0 ]; then
+     echo "Error: fedpkg mockbuild"
+     exit 1
+   fi 
+   $debug fedpkg push
    if [ $? -eq 0 ]; then
      for release in "${releases[@]:(1)}";
      do
-       fedpkg push
-       if [ $? -ne 0 ]; then
-         echo "Error: fedpkg push"
-         exit 1
-       fi
-       fedpkg switch-branch $release
-       git merge "${releases[@]: $release_index: 1} <<<':x'"
+       $debug fedpkg switch-branch $release
+       $debug bash -c "git merge ${releases[@]: $release_index: 1} <<<':x'"
        if [ $? -ne 0 ]; then
          echo "Error: git merge ${releases[@]: $release_index: 1}"
          exit 1
        fi
        let "release_index+=1"
-       fedpkg mockbuild
+       $debug fedpkg mockbuild
        if [ $? -ne 0 ]; then
          echo "Error: fedpkg mockbuild failed"
          exit 1
        fi
+       $debug fedpkg push
+       if [ $? -ne 0 ]; then
+         echo "Error: fedpkg push"
+         exit 1
+       fi 
      done
+   else
+     echo "Error: fedpkg push"
+     exit 1
    fi
 
    #$debug git push
@@ -104,3 +111,4 @@ if [ $CHANGES -ne 0 ]; then
    #   echo "GIT push failed"
    #fi
 fi
+exit 0
diff --git a/vim.spec b/vim.spec
index efdf447..90d9d07 100644
--- a/vim.spec
+++ b/vim.spec
@@ -24,7 +24,7 @@ Summary: The VIM editor
 URL:     http://www.vim.org/
 Name: vim
 Version: %{baseversion}.%{patchlevel}
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: Vim
 Group: Applications/Editors
 Source0: ftp://ftp.vim.org/pub/vim/unix/vim-%{baseversion}-%{patchlevel}.tar.bz2
@@ -770,6 +770,9 @@ rm -rf %{buildroot}
 %{_datadir}/icons/locolor/*/apps/*
 
 %changelog
+* Fri Sep 08 2017 Zdenek Dohnal <zdohnal@redhat.com> - 8.0.1071-2
+- fixing merge and push in vim-update.sh
+
 * Fri Sep 08 2017 Karsten Hopp <karsten@redhat.com> 8.0.1071-1
 - patchlevel 1071